• Jon Banafato's avatar
    Add compatibility for both Python 2 and Python 3 · f2f416b2
    Jon Banafato authored
    In order to install fswrap under the current stable version of Python
    (3.4.3), the following changes are needed:
    
    - Conditionally redefine `unicode`, as it has been removed in Python 3
    - Explicitly use `b''` when bytes are required
    - Encode unicode strings before hashing
    
    In addition to these changes, installation is upgraded to the current
    version of distribute. distribute has been merged back into setuptools.
    The current version simply wraps setuptools. distribute_setup.py and
    distribute_setup.use_setuptools are removed to prevent old versions of
    distribute from being installed over the current wrapper. This should be
    considered a stopgap solution, and migrating to setuptools is highly
    recommended.
    
    Finally, tox is added to support testing under multiple versions of
    Python. Test environments for latest stable versions of Python 2.7, 3.3,
    and 3.4 are added.
    
    Note: changes were made to satisfy all tests under all environments.
    Test coverage is high (96% - 97% depending on environment), but no
    further use under Python 3 has been done so far.
    f2f416b2
.gitignore 119 Bytes